d.what.vect(1)

NAME
d.what.vect - Allows the user to interactively query a vector map layer at user-selected locations within the current geographic region.

KEYWORDS
display

SYNOPSIS
d.what.vect
d.what.vect help
d.what.vect [-1txdfe] map=name[,name,...]

  Flags:

-1  Identify just one location

-t  Terse output. For parsing by programs

-x  Print information as plain text to terminal window

-d  Print topological information (debugging)

-f  Enable flashing (slower)

-e  Open form in edit mode

  Parameters:

map=name[,name,...]
    Name of existing vector map

DESCRIPTION
d.what.vect outputs the category value(s) associated with user-specified location(s) in user-specified vector map layer(s).

The program activates the mouse, and expects the user to indicate the location(s) to be queried by depressing a mouse button over desired location(s) within the current geographic region in the active display frame on the graphic monitor. Query results from map(s) are by default displayed in a new monitor, where label values can be added or changed. Using parameter -x informations will be displayed as plain text to terminal window.

EXAMPLE
A sample d.what.vect session is given below. Although it is not necessary that the user first displays a vector map to be queried in the active display frame, it is helpful to have a map displayed there for reference.

d.vect map=roads

Displays the roads vector map layer on the graphics monitor.

d.what.vect map=roads,geology

After typing this, the user moves the mouse to a desired location on the displayed roads map layer, and presses the left mouse button to query the category value of the roads and the geology vector map at this location. The program then outputs the category value of a line type corresponding to this user-selected map location, for the vector map queried by the user.

The query may be repeated as often as desired using the left mouse button. The middle mouse button toggles the flash color. The right button on the mouse is used to quit the d.what.vect session.

SEE ALSO
d.rast
d.vect
d.what.rast
g.region

AUTHOR
Jim Hinthorne, Central Washington University
Upgrades by Dennis Finch, National Park Service and Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2006/11/02 08:53:36 $

Full index